<?php
class Grid_Constructor_Local extends Grid_Constructor {
	/**
	 * Main
	 * @param array $param
	 * @return array
	 */
	function main ( $params ) {
		require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/admin/structure/structure_manager.php');
		$Structure_Manager = new Structure_Manager();
		$category_structure = $Structure_Manager->loadCategoryStructure();
	
		$res = $this->get_sitebill_adv_ext_base( $params );
		$this->template->assign('category_tree', $this->get_category_tree( $params, $category_structure ) );
		$this->template->assign('breadcrumbs', $this->get_category_breadcrumbs( $params, $category_structure, SITEBILL_MAIN_URL ) );
		$this->template->assign('search_params', json_encode($params) );
		$this->template->assign('search_url', $_SERVER['REQUEST_URI'] );
		//print_r(json_encode($params));
	
		$this->get_sales_grid($res);
	}
	
	/**
	 * Get sitebill adv ext
	 * @param array $params
	 * @param boolean $random
	 * @return array
	 */
	function get_sitebill_adv_ext_base( $params, $random = false ) {
		 
		if ( $this->getConfigValue('currency_enable') ) {
			require_once SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/admin/object_manager.php';
			require_once SITEBILL_DOCUMENT_ROOT.'/apps/currency/admin/admin.php';
			$CM=new currency_admin();
		}
		
		require_once (SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/model/model.php');
		$model = new Data_Model();
		$kvartira_model = $model->get_kvartira_model();
		
	
		$this->grid_total = 0;
		$where_array = false;
	
		if ( $params['order'] == 'city' ) {
			 
			$where_array[] = 're_city.city_id=re_data.city_id';
			$add_from_table .= ' , re_city ';
			$add_select_value .= ' , re_city.name as city ';
		}
	
		if ( $params['order'] == 'district' ) {
			$where_array[] = 're_district.id=re_data.district_id';
			$add_from_table .= ' , re_district ';
			$add_select_value .= ' , re_district.name as district ';
		}
	
		if ( $params['order'] == 'metro' ) {
			$where_array[] = 're_metro.metro_id=re_data.metro_id';
			$add_from_table .= ' , re_metro ';
			$add_select_value .= ' , re_metro.name as metro ';
		}
	
		if ( $params['order'] == 'street' ) {
			$where_array[] = 're_street.street_id=re_data.street_id';
			$add_from_table .= ' , re_street ';
			$add_select_value .= ' , re_street.name as street ';
		}
	
	
		if(isset($params['favorites']) && !empty($params['favorites'])){
			$where_array[] = 're_data.id IN ('.implode(',',$params['favorites']).')';
		}
	
		 
	
		if(isset($params['optype'])){
			$where_array[] = DB_PREFIX.'_data.optype='.(int)$params['optype'];
		}
	
		$where_array[] = 're_topic.id=re_data.topic_id';
	
		//echo '$params[\'topic_id\'] = '.$params['topic_id'].'<br>';
	
		if ( $params['topic_id'] != '' &&  $params['topic_id'] != 0) {
			require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/admin/structure/structure_manager.php');
			$Structure_Manager = new Structure_Manager();
			$category_structure = $Structure_Manager->loadCategoryStructure();
			global $smarty;
			//echo $category_structure['catalog'][$params['topic_id']]['description'];
			$smarty->assign('topic_description', $category_structure['catalog'][$params['topic_id']]['description']);
	
			$childs = $Structure_Manager->get_all_childs($params['topic_id'], $category_structure);
			if ( count($childs) > 0 ) {
				array_push($childs, $params['topic_id']);
				$where_array[] = 're_data.topic_id in ('.implode(' , ',$childs).') ';
			} else {
				$where_array[] = 're_data.topic_id='.$params['topic_id'];
			}
		}
	
		if ( isset($params['country_id']) and $params['country_id'] != 0  ) {
			$where_array[] = 're_data.country_id = '.$params['country_id'];
		}else{
			unset($params['country_id']);
		}
	
		if ( isset($params['id']) and $params['id'] != 0  ) {
			$where_array[] = 're_data.id = '.$params['id'];
		}
	
		if ( isset($params['mvids']) && is_array($params['mvids']) && count($params['mvids']) != 0  ) {
			$where_array[] = 're_data.id IN ('.implode(',',$params['mvids']).')';
		}
	
	
		if ( isset($params['user_id']) && $params['user_id'] > 0  ) {
			$where_array[] = 're_data.user_id = '.$params['user_id'];
		}
	
		if ( isset($params['onlyspecial']) && $params['onlyspecial'] > 0  ) {
			$where_array[] = 're_data.hot = 1';
		}
	
	
		if ( isset($params['price']) && $params['price'] != 0  ) {
			$where_array[] = 're_data.price  <= '.$params['price'];
		}
	
		if ( isset($params['price_min']) && $params['price_min'] != 0  ) {
			$where_array[] = 're_data.price  >= '.$params['price_min'];
		}
	
		if ( isset($params['house_number']) && $params['house_number'] != 0  ) {
			$where_array[] = 're_data.number  = \''.$params['house_number'].'\'';
		}else{
			unset($params['house_number']);
		}
	
	
		if ( isset($params['region_id']) && $params['region_id'] != 0 ) {
			$where_array[] = 're_data.region_id = '.$params['region_id'];
		}else{
			unset($params['region_id']);
		}
	
		if ( isset($params['spec']) ) {
			$where_array[] = ' re_data.hot = 1 ';
		}
		if ( isset($params['hot']) ) {
			$where_array[] = ' re_data.hot = 1 ';
		}
		if ( isset($params['city_id']) and $params['city_id'] != 0  ) {
			$where_array[] = 're_data.city_id = '.$params['city_id'];
		}
		if ( isset($params['district_id']) and $params['district_id'] != 0  ) {
			$where_array[] = 're_data.district_id = '.$params['district_id'];
		}else{
			unset($params['district_id']);
		}
		if ( isset($params['metro_id']) and $params['metro_id'] != 0  ) {
			$where_array[] = 're_data.metro_id = '.$params['metro_id'];
		}else{
			unset($params['metro_id']);
		}
		if ( isset($params['street_id']) and $params['street_id'] != 0  ) {
			$where_array[] = 're_data.street_id = '.$params['street_id'];
		}else{
			unset($params['street_id']);
		}
	
		if(isset($params['srch_phone']) and $params['srch_phone'] !== NULL){
			$phone = preg_replace('/[^\d]/', '', $params['srch_phone']);
			$sub_where=array();
			if($this->getConfigValue('allow_additional_mobile_number')){
				$sub_where[] = '(re_data.ad_mobile_phone LIKE \'%'.$phone.'%\')';
			}
			if($this->getConfigValue('allow_additional_stationary_number')){
				$sub_where[] = '(re_data.ad_stacionary_phone LIKE \'%'.$phone.'%\')';
			}
			$sub_where[] = '(re_data.phone LIKE \'%'.$phone.'%\')';
			$where_array[]='('.implode(' OR ',$sub_where).')';
		}
	
		if(isset($params['srch_word']) and $params['srch_word'] !== NULL){
			$sub_where=array();
			$word=htmlspecialchars($params['srch_word']);
			$sub_where[] = '(re_data.text LIKE \'%'.$word.'%\')';
			$sub_where[] = '(re_data.more1 LIKE \'%'.$word.'%\')';
			$sub_where[] = '(re_data.more2 LIKE \'%'.$word.'%\')';
			$sub_where[] = '(re_data.more3 LIKE \'%'.$word.'%\')';
			$where_array[]='('.implode(' OR ',$sub_where).')';
		}
	
		if(isset($params['room_count'])){
			if(is_array($params['room_count']) && count($params['room_count'])>0){
				$sub_where=array();
				foreach($params['room_count'] as $rq){
					if($rq==4){
						$sub_where[]='room_count>3';
					}elseif(0!=(int)$rq){
						$sub_where[]='room_count='.(int)$rq;
					}
				}
				if(count($sub_where)>0){
					$where_array[]='('.implode(' OR ',$sub_where).')';
				}
			}else{
				unset($params['room_count']);
			}
		}
	
		if($params['srch_date_from']!=0 && $params['srch_date_to']!=0){
			$where_array[]="((re_data.date_added>='".$params['srch_date_from']."') AND (re_data.date_added<='".$params['srch_date_to']."'))";
		}elseif($params['srch_date_from']!=0){
			$where_array[]="(re_data.date_added>='".$params['srch_date_from']."')";
		}elseif($params['srch_date_to']!=0){
			$where_array[]="(re_data.date_added<='".$params['srch_date_to']."')";
		}
	
		if($params['floor_min']!=0 && $params['floor_max']!=0){
			$where_array[]="(re_data.floor BETWEEN ".$params['floor_min']." AND ".$params['floor_max'].")";
		}elseif($params['floor_min']!=0){
			$where_array[]="(re_data.floor>=".$params['floor_min'].")";
		}elseif($params['floor_max']!=0){
			$where_array[]="(re_data.floor<=".$params['floor_max'].")";
		}
	
		if($params['floor_count_min']!=0 && $params['floor_count_max']!=0){
			$where_array[]="(re_data.floor_count BETWEEN ".$params['floor_count_min']." AND ".$params['floor_count_max'].")";
		}elseif($params['floor_count_min']!=0){
			$where_array[]="(re_data.floor_count>=".$params['floor_count_min'].")";
		}elseif($params['floor_count_max']!=0){
			$where_array[]="(re_data.floor_count<=".$params['floor_count_max'].")";
		}
	
		if($params['square_min']!=0 && $params['square_max']!=0){
			$where_array[]="(re_data.square_all BETWEEN ".$params['square_min']." AND ".$params['square_max'].")";
		}elseif($params['square_min']!=0){
			$where_array[]="(re_data.square_all>=".$params['square_min'].")";
		}elseif($params['square_max']!=0){
			$where_array[]="(re_data.square_all<=".$params['square_max'].")";
		}
	
		if($params['is_phone']==1){
			$where_array[]="(re_data.is_telephone=1)";
		}else{
			unset($params['is_phone']);
		}
	
		if($params['is_internet']==1){
			$where_array[]="(re_data.is_internet=1)";
		}else{
			unset($params['is_internet']);
		}
	
		if($params['is_furniture']==1){
			$where_array[]="(re_data.furniture=1)";
		}else{
			unset($params['is_furniture']);
		}
	
		if($params['owner']==1){
			$where_array[]="(re_data.whoyuaare=1)";
		}else{
			unset($params['is_furniture']);
		}
	
		if($params['has_photo']==1){
			$where_array[]='((SELECT COUNT(*) FROM '.DB_PREFIX.'_data_image WHERE id='.DB_PREFIX.'_data.id)>0)';
		}else{
			unset($params['has_photo']);
		}
	
		if($params['infra_greenzone']==1){
			$where_array[]="(re_data.infra_greenzone=1)";
		}else{
			unset($params['infra_greenzone']);
		}
	
		if($params['infra_sea']==1){
			$where_array[]="(re_data.infra_sea=1)";
		}else{
			unset($params['infra_sea']);
		}
	
		if($params['infra_sport']==1){
			$where_array[]="(re_data.infra_sport=1)";
		}else{
			unset($params['infra_sport']);
		}
	
		if($params['infra_clinic']==1){
			$where_array[]="(re_data.infra_clinic=1)";
		}else{
			unset($params['infra_clinic']);
		}
	
		if($params['infra_terminal']==1){
			$where_array[]="(re_data.infra_terminal=1)";
		}else{
			unset($params['infra_terminal']);
		}
	
		if($params['infra_airport']==1){
			$where_array[]="(re_data.infra_airport=1)";
		}else{
			unset($params['infra_airport']);
		}
	
		if($params['infra_bank']==1){
			$where_array[]="(re_data.infra_bank=1)";
		}else{
			unset($params['infra_bank']);
		}
	
		if($params['infra_restaurant']==1){
			$where_array[]="(re_data.infra_restaurant=1)";
		}else{
			unset($params['infra_restaurant']);
		}
	
		if(isset($params['object_state']) && is_array($params['object_state']) && count($params['object_state'])>0){
			$where_array[]="(re_data.object_state IN (".implode(',', $params['object_state'])."))";
		}else{
			unset($params['object_state']);
		}
	
		if(isset($params['object_type']) && is_array($params['object_type']) && count($params['object_type'])>0){
			$where_array[]="(re_data.object_type IN (".implode(',', $params['object_type'])."))";
		}else{
			unset($params['object_type']);
		}
	
		if(isset($params['object_destination']) && is_array($params['object_destination']) && count($params['object_destination'])>0){
			$where_array[]="(re_data.object_destination IN (".implode(',', $params['object_destination'])."))";
		}else{
			unset($params['object_destination']);
		}
	
		if(isset($params['aim']) && is_array($params['aim']) && count($params['aim'])>0){
			$where_array[]="(re_data.aim IN (".implode(',', $params['aim'])."))";
		}else{
			unset($params['aim']);
		}
	
		if($params['has_geo']==1){
			$where_array[]='('.DB_PREFIX.'_data.geo_lat IS NOT NULL AND '.DB_PREFIX.'_data.geo_lng IS NOT NULL)';
		}
	
	
		 
		if ( $params['admin'] != 1 ) {
			$where_array[] = 're_data.active=1';
		} elseif ( $params['active'] == 1 ) {
			$where_array[] = 're_data.active=1';
		} elseif ( $params['active'] == 'notactive' ) {
			$where_array[] = 're_data.active=0';
		}
	
		if ( $this->getConfigValue('apps.company.timelimit') ) {
			$current_time = time();
	
			$where_array[] = 're_data.user_id=u.user_id';
			$where_array[] = 'u.company_id=c.company_id';
			$where_array[] = "c.start_date <= $current_time";
			$where_array[] = "c.end_date >= $current_time";
			$add_from_table .= ' , re_user u, re_company c ';
		}
	
		if ( $params['only_img'] ) {
			 
			$where_array[] = 're_data.id=i.id';
			$add_from_table .= ' , re_data_image i ';
		}
	
	
		if ( $where_array ) {
			$where_statement = " WHERE ".implode(' AND ', $where_array);
		}
	
		if ( isset($params['order']) ) {
	
			if ( !isset($params['asc']) ) {
				$asc = 'desc';
			}
			if ($params['asc'] == 'asc')  {
				$asc = 'asc';
			}elseif ($params['asc'] == 'desc') {
				$asc = 'desc';
			}else{
				$asc = 'desc';
			}
			//
			if     ( $params['order'] == 'type' ) $order = 'type_sh ';
			elseif ( $params['order'] == 'street' ) $order = 're_street.name ';
			elseif ( $params['order'] == 'district' ) $order = 're_district.name ';
			elseif ( $params['order'] == 'metro' ) $order = 're_metro.name ';
			elseif ( $params['order'] == 'city' ) $order = 're_city.name ';
			elseif ( $params['order'] == 'date_added' ) $order = 're_data.date_added ';
			elseif ( $params['order'] == 'price' ){
				$order = 'price ';
			}
	
			$order .= $asc;
		} else {
			//$order = "re_data.id desc";
			$order = "re_data.date_added DESC, re_data.id DESC";
		}
	
		if ( !isset($params['page']) or $params['page'] == 0 ) {
			$page = 1;
		} else {
			$page = $params['page'];
		}
	
	
		if ( $random ) {
			$order = ' rand() ';
		}
	
		if ( $this->getConfigValue('currency_enable') ) {
			$query = "select count(re_data.id) as total from re_data LEFT JOIN re_currency ON re_data.currency_id=re_currency.currency_id, re_topic $add_from_table $where_statement ";
		}else{
			$query = "select count(re_data.id) as total from re_data, re_topic $add_from_table $where_statement ";
		}
	
		$query1='SELECT COUNT('.DB_PREFIX.'_data.id) as total FROM '.DB_PREFIX.'_data d
		LEFT JOIN '.DB_PREFIX.'_topic t ON t.id=d.topic_id';
	
	
	
		$this->db->exec($query);
		if ( !$this->db->success ) {
			echo $this->db->error.'<br>';
		}
		$this->db->fetch_assoc();
		$total = $this->db->row['total'];
		$this->grid_total = $total;
		global $smarty;
		$smarty->assign('_total_records',$total);
	
	
		$limit = $this->getConfigValue('per_page');
		$max_page=ceil($total/$limit);
	
		if($page>$max_page){
			$page=1;
			$params['page']=1;
		}
	
		$start = ($page-1)*$limit;
	
		$pager_params=$params;
		 
		 
		unset($params['order']);
		unset($params['asc']);
		unset($params['favorites']);
	
		 
		require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/admin/structure/structure_manager.php');
		$Structure_Manager = new Structure_Manager();
		$category_structure = $Structure_Manager->loadCategoryStructure();
	
		 
		if($params['topic_id']!=''){
			if(!$params['admin']){
				if($this->cityTopicUrlFind($_SERVER['REQUEST_URI'])){
					$p=parse_url($_SERVER['REQUEST_URI']);
					unset($params['city_id']);
					unset($params['topic_id']);
					unset($pager_params['city_id']);
					unset($pager_params['topic_id']);
					$pageurl=trim($p['path'],'/');
				}elseif($category_structure['catalog'][$params['topic_id']]['url']!='' && 1==$this->getConfigValue('apps.seo.level_enable')){
					$pageurl=$category_structure['catalog'][$params['topic_id']]['url'];
					//unset($pager_params['topic_id']);
					unset($params['topic_id']);
				}elseif($category_structure['catalog'][$params['topic_id']]['url']!=''){
					//echo 1;
					$pageurl=$category_structure['catalog'][$params['topic_id']]['url'];
					unset($pager_params['topic_id']);
					unset($params['topic_id']);
				}else{
					if(preg_match('/topic(\d*).html/',$_SERVER['REQUEST_URI'])){
						unset($pager_params['topic_id']);
					}
					if($params['topic_id']!=0){
						$pageurl='topic'.$params['topic_id'].'.html';
						unset($params['topic_id']);
					}else{
						$pageurl='';
						unset($params['topic_id']);
						unset($pager_params['topic_id']);
					}
	
				}
			}else{
				$pageurl='';
			}
		}else{
			$pageurl='';
		}
		$this->template->assert('pager', $this->get_page_links_list ($page, $total, $limit, $pager_params ));
		 
		 
		 
	
		foreach ( $params as $key => $value ) {
			if(is_array($value)){
				if(count($value)>0){
					foreach($value as $v){
						if($v!=''){
							$pairs[] = $key.'[]='.$v;
						}
					}
				}
			}elseif ( $value != '') {
				if($key!='topic_id'){
					//echo "key = $key, value = $value<br>";
					$pairs[] = "$key=$value";
				}elseif($params['admin']){
					$pairs[] = "$key=$value";
				}
	
			}
		}
	
		if ( is_array($pairs) ) {
			$url = $pageurl.'?'.implode('&', $pairs);
		}else{
			$url = $pageurl.'?key=value';
		}
		$this->template->assert('url', $url);

		$order = ' '.DB_PREFIX.'_data.hot desc, '.$order;
	
		if ( $this->getConfigValue('apps.company.timelimit') ) {
			if ( $this->getConfigValue('currency_enable') ) {
				$query = "select re_currency.code AS currency_code, re_currency.name AS currency_name, ((re_data.price*re_currency.course)/".$CM->getCourse(CURRENT_CURRENCY).") AS price_ue, re_data.*, re_topic.name as type_sh $add_select_value from re_data LEFT JOIN re_currency ON re_data.currency_id=re_currency.currency_id, re_topic $add_from_table $where_statement ORDER BY ".$order.($params['no_portions']==1 ? '' : " LIMIT ".$start.", ".$limit);
			} else {
				$query = "select re_data.*, re_topic.name as type_sh $add_select_value from re_data, re_topic $add_from_table $where_statement order by ".$order.($params['no_portions']==1 ? '' : " LIMIT ".$start.", ".$limit);
			}
			 
		} else {
			if ( $this->getConfigValue('currency_enable') ) {
				$query = "select re_currency.code AS currency_code, re_currency.name AS currency_name, ((re_data.price*re_currency.course)/".$CM->getCourse(CURRENT_CURRENCY).") AS price_ue, re_data.*, re_topic.name as type_sh $add_select_value from re_data LEFT JOIN re_currency ON re_data.currency_id=re_currency.currency_id, re_topic $add_from_table $where_statement ORDER BY ".$order.($params['no_portions']==1 ? '' : " LIMIT ".$start.", ".$limit);
			} else {
				$query = "select re_data.*, re_topic.name as type_sh $add_select_value from re_data, re_topic $add_from_table $where_statement ORDER BY ".$order.($params['no_portions']==1 ? '' : " LIMIT ".$start.", ".$limit);
			}
		}
		
		//echo $query.'<br>';
	
		$this->db->exec($query);
		if ( !$this->db->success ) {
			echo $this->db->error.'<br>';
		}
	
		$ra = array();
		$i = 0;
		if ( file_exists(SITEBILL_DOCUMENT_ROOT.'/apps/company/company.xml') ) {
			require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/system/user/account.php');
			$Account = new Account;
	
		}
	
		while ( $this->db->fetch_assoc() ) {
			if ( file_exists(SITEBILL_DOCUMENT_ROOT.'/apps/company/company.xml') ) {
				$company_profile = $Account->get_company_profile($this->db->row['user_id']);
				$this->db->row['company'] = $company_profile['name']['value'];
			}
			$ra[$i] = $this->db->row;
			$i++;
		}
		 
	
	
		require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/model/model.php');
		$data_model = new Data_Model();
		$params = array();
		 
		 
		if($this->getConfigValue('apps.mapviewer.enable')){
			require_once SITEBILL_DOCUMENT_ROOT.'/apps/mapviewer/admin/admin.php';
			$Map_Viewer=new mapviewer_admin();
			$coords_info=$Map_Viewer->loadMVData();
		}else{
			$coords_info=array();
		}
	
	
		foreach ( $ra as $item_id => $item_array ) {
			if ( $item_array['country_id'] > 0 ) {
				$ra[$item_id]['country'] = $data_model->get_string_value_by_id('country', 'country_id', 'name', $item_array['country_id'], true);
			}
			if ( $item_array['region_id'] > 0 ) {
				$ra[$item_id]['region'] = $data_model->get_string_value_by_id('region', 'region_id', 'name', $item_array['region_id'], true);
			}
			if ( $item_array['district_id'] > 0 ) {
				$ra[$item_id]['district'] = $data_model->get_string_value_by_id('district', 'id', 'name', $item_array['district_id'], true);
			}
			if ( $item_array['street_id'] > 0 ) {
				$ra[$item_id]['street'] = $data_model->get_string_value_by_id('street', 'street_id', 'name', $item_array['street_id'], true);
			}
			if ( $item_array['city_id'] > 0 ) {
				$ra[$item_id]['city'] = $data_model->get_string_value_by_id('city', 'city_id', 'name', $item_array['city_id'], true);
			}
			if ( $item_array['metro_id'] > 0 ) {
				$ra[$item_id]['metro'] = $data_model->get_string_value_by_id('metro', 'metro_id', 'name', $item_array['metro_id'], true);
			}
			if ( $item_array['user_id'] > 0 ) {
				$ra[$item_id]['user'] = $data_model->get_string_value_by_id('user', 'user_id', 'fio', $item_array['user_id'], true);
			}
			if ( $item_array['currency_id'] > 0 ) {
				$ra[$item_id]['currency'] = $data_model->get_string_value_by_id('currency', 'currency_id', 'code', $item_array['currency_id'], true);
			}
			
			if ( $item_array['house_type'] > 0 ) {
				$ra[$item_id]['house_type_string'] = $kvartira_model['data']['house_type']['select_data'][$item_array['house_type']];
			}
				
	
			$params['topic_id'] = $item_array['topic_id'];
	
			$ra[$item_id]['path'] = $this->get_category_breadcrumbs_string( $params, $category_structure );
			$ra[$item_id]['date'] = date('d.m',strtotime($ra[$item_id]['date_added']));
	
	
			$image_array = $data_model->get_image_array ( 'data', 'data', 'id', $item_array['id'], 1 );
			if ( count($image_array) > 0 ) {
				$ra[$item_id]['img'] = $image_array;
			}
	
	
			if(1==$this->getConfigValue('apps.seo.level_enable')){
				 
				if($category_structure['catalog'][$ra[$item_id]['topic_id']]['url']!=''){
					$ra[$item_id]['parent_category_url']=$category_structure['catalog'][$ra[$item_id]['topic_id']]['url'].'/';
				}else{
					$ra[$item_id]['parent_category_url']='';
				}
			}else{
				$ra[$item_id]['parent_category_url']='';
			}
			//echo $this->getConfigValue('apps.seo.data_alias_enable');
			if(1==$this->getConfigValue('apps.seo.data_alias_enable') && $ra[$item_id]['translit_alias']!=''){
				$ra[$item_id]['href']=SITEBILL_MAIN_URL.'/'.$ra[$item_id]['parent_category_url'].$ra[$item_id]['translit_alias'];
				//$ra[$item_id]['href']=SITEBILL_MAIN_URL.'/'.$ra[$item_id]['parent_category_url'].$this->getTranslitAlias($ra[$item_id]['city'],$ra[$item_id]['street'],$ra[$item_id]['number']);
			}elseif(1==$this->getConfigValue('apps.seo.html_prefix_enable')){
				$ra[$item_id]['href']=SITEBILL_MAIN_URL.'/'.$ra[$item_id]['parent_category_url'].'realty'.$ra[$item_id]['id'].'.html';
			}else{
				$ra[$item_id]['href']=SITEBILL_MAIN_URL.'/'.$ra[$item_id]['parent_category_url'].'realty'.$ra[$item_id]['id'];
			}
			/*
			 if(isset($coords_info[$item_array['id']])){
			$ra[$item_id]['mvdata']=$coords_info[$item_array['id']];
			}
			*/
		}
		return $ra;
	}
	
}