<?php

class frontend_main extends SiteBill_Krascap {

	

	function local_apps_processor () {

		$this->apps_dir = SITEBILL_DOCUMENT_ROOT.'/apps';

		

		if ( preg_match('/simpleeditor/', $_SERVER['REQUEST_URI']) ) {

			$this->run_apps('fasteditor');

		} elseif ( preg_match('/freeorder/', $_SERVER['REQUEST_URI']) ) {

			$this->run_apps('freeorder');

		} elseif ( $this->run_apps('page') ) {

			

		} else {

			$this->run_apps('realtypro');

		}

	}

	

	/**

	 * Set executed apps

	 * @param string $apps_name

	 */

	private function set_executed_apps ( $apps_name ) {

		$this->apps_executed[] = $apps_name;

	}

	

	/**

	 * Get executed apps

	 * @return Array

	 */

	function get_executed_apps () {

		return $this->apps_executed;

	}

	

	

	function run_apps ( $app_dir ) {

		if ( is_dir($this->apps_dir.'/'.$app_dir) and !preg_match('/\./', $app_dir) ) {

			if ( is_file($this->apps_dir.'/'.$app_dir.'/site/site.php') ) {

				require_once ($this->apps_dir.'/'.$app_dir.'/admin/admin.php');

				require_once ($this->apps_dir.'/'.$app_dir.'/site/site.php');

				$app_class_name = $app_dir.'_site';

				//echo $app_class_name.'<br>';

				$app_class_inst = new $app_class_name;

				if ( $app_class_inst->frontend() ) {

					$this->set_executed_apps($app_class_name);

					//closedir($dh);

					return true;

				}

			}

		}

		return false;

	}

	

	/**

	 * Main

	 * @param void

	 * @return string

	 */

	function main () {

			global $__site_title, $folder, $smarty;

	

			require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/admin/structure/structure_manager.php');

			$Structure_Manager = new Structure_Manager();

	

			$this->template->assert('template_vars_logo', $this->getConfigValue('template.'.$this->getConfigValue('theme').'.logo'));

	

			require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/frontend/search/kvartira_search.php');

			$kvartira_search_form = new Kvartira_Search_Form();

			$kvartira_search_form->main();

			$this->template->assert('search_form_template', 'search_form.tpl');

	

			if ( $this->getConfigValue('menu_type') == 'purecss' ) {

				require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/frontend/menu/purecssmenu.php');

				$purecssmenu = new PureCSS_Menu();

				$this->template->assert('slide_menu', $purecssmenu->get_menu());

			} elseif ( $this->getConfigValue('menu_type') == 'onelevel' ) {

				require_once(SITEBILL_DOCUMENT_ROOT.'/apps/onelevelmenu/lib/onelevelmenu.php');

				$onelevel = new Onelevel_Menu();

				$this->template->assert('slide_menu', $onelevel->get_menu());

			} else {

				require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/frontend/menu/slidemenu.php');

				$slidemenu = new Slide_Menu();

				$this->template->assert('slide_menu', $slidemenu->get_menu());

			}

	

			require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/admin/object_manager.php');

			require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/system/plugin/plugin_processor.php');

			$Plugin_Processor = new Plugin_Processor();

			$Plugin_Processor->main();

	

	

			$extendedSearchFormParams=$this->getExtendedSearchFormParams();

			$this->template->assert('max_floor_count', $extendedSearchFormParams['max_floor_count']);

			$this->template->assert('max_price', $extendedSearchFormParams['max_price']);

			

			//$this->template->assert('type_list', $this->getTypeString());

			//set default value

			$this->template->assert('base', SITEBILL_MAIN_URL);

			$this->template->assert('show_demo_banners', $this->getConfigValue('show_demo_banners'));

			$this->template->assert('REQUEST_URI', $_SERVER['REQUEST_URI']);

			$this->template->assert('type_list2', '');

			$this->template->assert('type_list3', '');

			$this->template->assert('title', $this->getConfigValue('site_title'));

			$this->template->assert('estate_folder', $folder);

			$this->template->assert('right_column', 1);

	

			$this->template->assert('structure_box', $Structure_Manager->getCategorySelectBoxWithName('topic_id', $this->getRequestValue('topic_id') ));

			//print_r($_SESSION);

	

			require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/system/user/login.php');

			$Login = new Login();

	

			if ( preg_match('/\/logout/', $_SERVER['REQUEST_URI']) ) {

				require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/system/user/logout.php');

				$Logout = new Logout;

				$Logout->main();

			}

	

			$this->template->assert('user_id', $Login->getSessionUserId());

	

			$this->template->assert('auth_menu', $Login->getAuthMenu());

	

			if ( $_SERVER['REQUEST_URI'] == '/' ) {

				$this->grid_special();

			}

	

			$this->grid_special_right();

			/*

			 if ( $_SERVER['REQUEST_URI'] == '/' and ($page_array = $this->getPageByURI('/index.html')) ) {

	

			} else {

			$page_array = $this->getPageByURI($_SERVER['REQUEST_URI']);

			}

			if ( $page_array ) {

			$this->template->assert('main', $page_array['body']);

			$this->template->assert('title', $page_array['title']);

			$this->template->assert('meta_keywords', $page_array['meta_keywords']);

			$this->template->assert('meta_description', $page_array['meta_description']);

			$this->template->render();

			$rs = $this->template->toHTML();

			return $rs;

			}

			*/

			if($this->getConfigValue('theme')=='albostar'){

				$this->template->assert('rot_banners', $this->getLast(10));

			}

	

			if($this->getConfigValue('apps.freeorder.enable')==1){

				require_once SITEBILL_DOCUMENT_ROOT.'/apps/freeorder/admin/admin.php';

				require_once SITEBILL_DOCUMENT_ROOT.'/apps/freeorder/site/site.php';

				$FreeOrder=new freeorder_site();

				$this->template->assert('freeorder_form', $FreeOrder->getForm());

				$this->template->assert('freeorder_on', 'yes');

			}else{

				$this->template->assert('freeorder_on', 'no');

			}

	

			$this->template->assert('meta_keywords', '');

			$this->template->assert('meta_description', '');

			

			if ( preg_match('/\/myfavorites/', $_SERVER['REQUEST_URI']) ) {

	        	

	        			

	        	

	        	$this->template->assert('main', '<p><br></p>'.$this->grid_adv_favorites());

				$this->template->render();

	        	$rs = $this->template->toHTML();

	        	

	        	return $rs;

	        }

	

	

			if ( preg_match('/\/robox/', $_SERVER['REQUEST_URI']) ) {

				require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/system/robokassa/robokassa.php');

				$robokassa = new Robox();

				$rs = $robokassa->main();

				if ( preg_match('/result/', $_SERVER['REQUEST_URI']) ) {

					echo $rs;

					exit;

				}

				$this->template->assert('main', $rs);

				$this->template->render();

				$rs = $this->template->toHTML();

				return $rs;

			}

			

			if ( preg_match('/\/goroda\//', $_SERVER['REQUEST_URI']) ) {

				$city=$this->getCityListTr();

				$topic=$this->getTopicListTr();

				//print_r($city);

				//print_r($topic);

				if(count($city)>0 && count($topic)>0){

					foreach($city as $c){

						foreach($topic as $t){

							$rs.='<a href="/'.$c['translit_name'].'-'.$t['translit_name'].'.html">'.$c['name'].' ('.$t['name'].')</a><br />';

						}

					}

				}

				$this->template->assert('main', $rs);

				/*$this->template->assert('search_form', $land_front->getSearchForm());

				*/

				$this->template->render();

				$rs = $this->template->toHTML();

				return $rs;

			}

	

	

			if ( preg_match('/\/register/', $_SERVER['REQUEST_URI']) ) {

				if ( !$this->getConfigValue('allow_register_account') ) {

					$this->template->assert('main', '   ');

				} else {

					require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/system/user/register.php');

					$Register = new Register;

					//$smarty->assign->assert('main', $Register->main());

					$rs1 = $Register->main();

					$this->template->assert('main', $rs1);

				}

				$this->template->render();

				$rs = $this->template->toHTML();

				return $rs;

			}

	

			if ( preg_match('/\/remind/', $_SERVER['REQUEST_URI']) ) {

				if ( !$this->getConfigValue('allow_remind_password') ) {

					$this->template->assert('main', '    ');

				} else {

					require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/system/user/user.php');

					require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/system/user/remind.php');

					$remind = new Remind;

					//$smarty->assign('main', $remind->main());

					$this->template->assert('main', $remind->main());

				}

				$this->template->render();

				$rs = $this->template->toHTML();

				return $rs;

			}

	

			if ( preg_match('/\/login/', $_SERVER['REQUEST_URI']) ) {

				$this->template->assert('main', $Login->main());

				if ( $Login->getSessionUserId() > 0 ) {

					$this->template->assert('auth_menu', $Login->getAuthMenu());

				}

				$this->template->render();

				$rs = $this->template->toHTML();

				return $rs;

				//$resultString .= $this->getHomePageString();

				//return $resultString;

			}

	

	

	

			if ( $this->getConfigValue('theme') != 'kgs' ) {

				if ( SITEBILL_MAIN_URL != '' ) {

					$regexp = '/^\\'.SITEBILL_MAIN_URL.'\\/add(\/)*/';

				} else {

					$regexp = '/^\/add(\/)*/';

				}

				if ( preg_match($regexp, $_SERVER['REQUEST_URI']) ) {

					require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/admin/object_manager.php');

					require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/frontend/form/add.php');

					$user_add = new User_Add();

					 

					$this->template->assert('main', $user_add->main());

					$this->template->render();

					$rs = $this->template->toHTML();

					return $rs;

				}

			}

	

			if ( preg_match('/\/ipotekaorder\//', $_SERVER['REQUEST_URI']) ) {

				require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/admin/object_manager.php');

				require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/frontend/form/ipoteka.php');

				$ipoteka_order = new Ipoteka_Order_Form();

	

				$this->template->assert('main', $ipoteka_order->main());

				$this->template->render();

				$rs = $this->template->toHTML();

				return $rs;

			}

	

			if ( preg_match('/\/contactus\//', $_SERVER['REQUEST_URI']) ) {

				require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/admin/object_manager.php');

				require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/frontend/form/contactus.php');

				$contactus_form = new contactus_Form();

	

				$this->template->assert('main', $contactus_form->main());

				$this->template->render();

				$rs = $this->template->toHTML();

				return $rs;

			}

	

	

			if ( preg_match('/\/land\//', $_SERVER['REQUEST_URI']) ) {

				require_once('lib/admin/land/land_manager.php');

				require_once('lib/frontend/land/land_front.php');

				$land_front = new Land_Front();

				 

				$this->template->assert('main', $land_front->main());

				$this->template->assert('search_form', $land_front->getSearchForm());

	

				$this->template->render();

				$rs = $this->template->toHTML();

				return $rs;

			}

	

			if ( preg_match('/\/getrent\//', $_SERVER['REQUEST_URI']) ) {

				$this->template->assert('main', $this->processGetRentForm('buy'));

				$this->template->render();

				$rs = $this->template->toHTML();

				return $rs;

			}

			require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/system/apps/apps_processor.php');

			$apps_processor = new Apps_Processor();

			$apps_processor->run_frontend();

			if ( count($apps_processor->get_executed_apps()) > 0 ) {

				$this->template->render();

				$rs = $this->template->toHTML();

				return $rs;

			}

	

	

			if ( preg_match('/\/account/', $_SERVER['REQUEST_URI']) ) {

				$this->template->assert('right_column', '');

				$this->template->assert('is_account', '1');

				$this->template->assert('search_form_template', '');

	

				//return;

				require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/system/user/account.php');

				$Account = new Account;

	

				if ( $Account->get_user_id() > 0 ) {

					$company_profile = $Account->get_company_profile($Account->get_user_id());

					$this->template->assert('company', $company_profile);

				}

	

	

				$this->template->assert('breadcrumbs',

						$this->get_breadcrumbs(

								array(

										'<a href="'.$folder.'/"></a>',

										'<a href="'.$folder.'/account/"> </a>'

								)));

	

				if ( preg_match('/profile/', $_SERVER['REQUEST_URI']) ) {

					require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/system/user/profile.php');

					$profile = new User_Profile();

					$this->template->assert('breadcrumbs',

							$this->get_breadcrumbs(

									array(

											'<a href="'.$folder.'/"></a>',

											'<a href="'.$folder.'/account/"> </a>',

											'<a href="'.$folder.'/account/profile/"></a>'

									)));

	

					$this->template->assert('main', $profile->main());

				} elseif ( preg_match('/balance/', $_SERVER['REQUEST_URI']) ) {

	

					$this->template->assert('breadcrumbs',

							$this->get_breadcrumbs(

									array(

											'<a href="'.$folder.'/"></a>',

											'<a href="'.$folder.'/account/"> </a>',

											'<a href="'.$folder.'/account/balance/"></a>'

									)));

	

					$this->template->assert('main', $Account->main());

				} elseif ( preg_match('/\/user/', $_SERVER['REQUEST_URI'] ) ) {

					if ( $this->getConfigValue('apps.company.enable') ) {

						$this->template->assert('breadcrumbs',

								$this->get_breadcrumbs(

										array(

												'<a href="'.$folder.'/"></a>',

												'<a href="'.$folder.'/account/"> </a>',

												'<a href="'.$folder.'/account/user/"></a>'

										)));

	

						require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/admin/users/user_object_manager.php');

						require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/frontend/user/user_company_manager.php');

						$user_company_manager = new User_Company_Manager();

						$this->template->assert('main', $user_company_manager->frontend_main());

					}

	

				} else {

	

					$this->template->assert('breadcrumbs',

							$this->get_breadcrumbs(

									array(

											'<a href="'.$folder.'/"></a>',

											'<a href="'.$folder.'/account/"> </a>',

											'<a href="'.$folder.'/account/data/"> </a>'

									)));

	

					if(preg_match('/add/', $_SERVER['REQUEST_URI'])){

						require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/admin/sitebill_krascap_admin.php');

						require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/admin/sitebill_krascap_editor.php');

						require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/system/user/data/user_data.php');
						require_once(SITEBILL_DOCUMENT_ROOT.'/template/frontend/'.$this->getConfigValue('theme').'/main/user_data_local.php');
						
						$user_data_manager = new User_Data_Manager_Local();

						$this->template->assert('main', $user_data_manager->add());

					}else{

						require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/admin/sitebill_krascap_admin.php');

						require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/admin/sitebill_krascap_editor.php');

						require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/system/user/data/user_data.php');
						require_once(SITEBILL_DOCUMENT_ROOT.'/template/frontend/'.$this->getConfigValue('theme').'/main/user_data_local.php');
						
						$user_data_manager = new User_Data_Manager_Local();

						$this->template->assert('main', $user_data_manager->main());

					}

	

				} 

				$this->template->render();

				$rs = $this->template->toHTML();

				return $rs;

			}

			

	

        

	

	

		//if ( $this->getRequestValue('do') == 'view' ) {

		if ( preg_match('/realty/', $_SERVER['REQUEST_URI']) ) {

			if ( SITEBILL_MAIN_URL != '' ) {

			    $realty_view_regexp = '/^'.'\\'.SITEBILL_MAIN_URL.'\/realty/';

			} else {

			    $realty_view_regexp = '/^\/realty/';

			}

			if(1==$this->getConfigValue('apps.seo.level_enable') && !preg_match($realty_view_regexp, $_SERVER['REQUEST_URI'])){

				$realty_id = $this->getIDfromURI($_SERVER['REQUEST_URI']);

				$this->growCounter('data', 'id', $realty_id, $this->getSessionUserId());

				require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/frontend/view/kvartira_view.php');

				$kvartira_view = new Kvartira_View();

			

				$this->template->assert('main', $kvartira_view->main($realty_id));

			} elseif(0==$this->getConfigValue('apps.seo.level_enable') && preg_match($realty_view_regexp, $_SERVER['REQUEST_URI'])){

				$realty_id = $this->getIDfromURI($_SERVER['REQUEST_URI']);

				$this->growCounter('data', 'id', $realty_id, $this->getSessionUserId());

				require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/frontend/view/kvartira_view.php');

				$kvartira_view = new Kvartira_View();

					

				$this->template->assert('main', $kvartira_view->main($realty_id));

			}else {

				header("Status: 404 Not Found");

				$this->template->assign('title', '  ');

				$this->template->assign('error_message', '<h1>  </h1>');

				$this->template->assign('main_file_tpl', 'error_message.tpl');

			}

			

			

			

			

			

			

			

			

			/*

			$realty_id = $this->getIDfromURI($_SERVER['REQUEST_URI']);

			$this->growCounter('data', 'id', $realty_id, $this->getSessionUserId());

			require_once(SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/frontend/view/kvartira_view.php');

			$kvartira_view = new Kvartira_View();*/

	

			//$this->template->assert('main', $kvartira_view->main($realty_id));

		} elseif(preg_match('/user(\d+).html/', $_SERVER['REQUEST_URI'], $matches)){

			$this->setRequestValue('user_id', (int)$matches[1]);

			$this->template->assert('main', '<p><br></p>'.$this->grid_adv());

		} elseif( $this->getRequestValue('do') == 'news' ) {

			$this->template->assert('main', $this->viewNews( $this->getRequestValue('news_id') ));

		} elseif( $this->getRequestValue('do') == 'buy' ) {

			$this->template->assert('main', $this->processAdvancedForm('buy'));

		} elseif( $this->getRequestValue('do') == 'rent' ) {

			$this->template->assert('main', $this->processAdvancedForm('rent'));

		} elseif ( $this->getRequestValue('view') != '' ) {

			$this->template->assert('main', $this->getPage($this->getRequestValue('view')));

		} else {

			if($this->getConfigValue('apps.realtypro.enable')!=1){

				$this->template->assert('main', '<p><br></p>'.$this->grid_adv());

			}

	

		}

		$this->template->render();

		$rs = $this->template->toHTML();

		return $rs;

	}
	
	/**
	 * Grid adv
	 * @param void
	 * @return string
	 */
	function grid_adv () {
		$gorod_name = false;
		require_once SITEBILL_DOCUMENT_ROOT.'/apps/system/lib/frontend/grid/grid_constructor.php';
		require_once SITEBILL_DOCUMENT_ROOT.'/template/frontend/'.$this->getConfigValue('theme').'/main/grid_constructor_local.php';
		
		$grid_constructor_local = new Grid_Constructor_Local();
		if(preg_match('/topic(\d*).html/',$_SERVER['REQUEST_URI'],$matches) && $this->isTopicExists($matches[1])){
			$this->setRequestValue('topic_id', $matches[1]);
		}else{
			if($x=$this->cityTopicUrlFind($_SERVER['REQUEST_URI'])){
				$this->setRequestValue('city_id', $x[0]);
				$this->setRequestValue('topic_id', $x[1]);
				$gorod_name = $x[2];
			}elseif($x=$this->topicUrlFind($_SERVER['REQUEST_URI'])){
				$this->setRequestValue('topic_id', $x);
			}else{
				if($this->getConfigValue('apps.seo.level_enable')==1){
					$ru=trim($_SERVER['REQUEST_URI'],'/');
					if(SITEBILL_MAIN_URL!=''){
						$ru=str_replace(trim(SITEBILL_MAIN_URL,'/').'/', '', $ru);
					}
					$Structure=new Structure_Manager();
					$urls=$Structure->loadCategoriesUrls();
					$urls_to_ids=array_flip($urls);
					$parts=explode('?',$ru);
					if ( strlen($parts[0]) > 0 ) {
						if(isset($urls_to_ids[$parts[0]])){
							$this->setRequestValue('topic_id', $urls_to_ids[$parts[0]]);
						}
					}
				}
			}
		}
		$url_info = parse_url($_SERVER['REQUEST_URI']);
		if ( SITEBILL_MAIN_URL != '' ) {
			$cmp_url = SITEBILL_MAIN_URL.'/';
		} else {
			$cmp_url = '/';
		}
		if ( $this->getRequestValue('topic_id') == '' and ($url_info['path'] != $cmp_url and $url_info['path'] != $cmp_url.'index.php' and $url_info['path'] != $cmp_url.'search/') and $this->getRequestValue('user_id') === NULL) {
	
			header("Status: 404 Not Found");
			$this->template->assign('title', Multilanguage::_('L_MESSAGE_PAGE_NOT_FOUND'));
			$this->template->assign('error_message', '<h1>'.Multilanguage::_('L_MESSAGE_PAGE_NOT_FOUND').'</h1>');
			$this->template->assign('main_file_tpl', 'error_message.tpl');
			return false;
		} elseif ( $this->getRequestValue('topic_id') > 0 ) {
			$topic = $this->getTopicFullInfo($this->getRequestValue('topic_id'));
			if ( $topic['meta_title'] != '' ) {
				$title = $topic['meta_title'];
			} else {
				$title = $topic['name'];
			}
			if ( $topic['description'] != '' ) {
				$this->template->assign('description', $topic['description']);
			}
			if ( $topic['meta_description'] != '' ) {
				$this->template->assign('meta_description', $topic['meta_description']);
			}
			if ( $topic['meta_keywords'] != '' ) {
				$this->template->assign('meta_keywords', $topic['meta_keywords']);
			}
			if ( $gorod_name ) {
				$title .= ' - '.$gorod_name;
			}
				
			if ( $this->getRequestValue('page') > 0 ) {
				$title .= ' ['.Multilanguage::_('L_PAGE').' '.$this->getRequestValue('page').']';
			}
			$this->template->assign('title', $title);
		} else {
			$title = ($this->getConfigValue('meta_title_main')!='' ? $this->getConfigValue('meta_title_main') : $this->getConfigValue('site_title'));
			if ( $this->getRequestValue('page') > 0 ) {
				$title .= ' ['.Multilanguage::_('L_PAGE').' '.$this->getRequestValue('page').']';
			}
			if(preg_match('/user(\d+).html/', $_SERVER['REQUEST_URI'])){
				$title = Multilanguage::_('AGENT_ADS','system');
			}
			$this->template->assign('title', $title);
			$this->template->assign('meta_description', $this->getConfigValue('meta_description_main'));
			$this->template->assign('meta_keywords', $this->getConfigValue('meta_keywords_main'));
		}
	
	
		//echo $this->getRequestValue('topic_id');
		if(in_array($this->getRequestValue('grid_type'),array('thumbs','list'))){
			$_SESSION['grid_type']=$this->getRequestValue('grid_type');
		}else{
			if(!isset($_SESSION['grid_type'])){
				$_SESSION['grid_type']='list';
			}
		}
	
	
	
		$params['id'] = $this->getRequestValue('id');
		$params['topic_id'] = $this->getRequestValue('topic_id');
		$params['order'] = $this->getRequestValue('order');
		$params['region_id'] = $this->getRequestValue('region_id');
		$params['city_id'] = $this->getRequestValue('city_id');
		$params['district_id'] = $this->getRequestValue('district_id');
		$params['metro_id'] = $this->getRequestValue('metro_id');
		$params['street_id'] = $this->getRequestValue('street_id');
		$params['page'] = $this->getRequestValue('page');
		$params['spec'] = $this->getRequestValue('spec');
		$params['owner'] = (int)$this->getRequestValue('owner');
		$params['asc'] = $this->getRequestValue('asc');
		if(NULL!=$this->getRequestValue('user_id')){
			$params['user_id'] = $this->getRequestValue('user_id');
		}
	
		$params['price'] = (int)str_replace(' ', '', $this->getRequestValue('price'));
		$this->template->assign('price', $params['price']);
	
		$params['price_min'] = (int)str_replace(' ', '', $this->getRequestValue('price_min'));
		$this->template->assign('price_min', $params['price_min']);
	
		$params['house_number'] = $this->getRequestValue('house_number');
		$this->template->assign('house_number', $params['house_number']);
	
		$params['onlyspecial'] = $this->getRequestValue('onlyspecial');
		$this->template->assign('onlyspecial', $params['onlyspecial']);
	
		$params['floor_min'] = (int)$this->getRequestValue('floor_min');
		$params['floor_max'] = (int)$this->getRequestValue('floor_max');
	
		$params['floor_count_min'] = (int)$this->getRequestValue('floor_count_min');
		$params['floor_count_max'] = (int)$this->getRequestValue('floor_count_max');
	
		$params['square_min'] = (int)$this->getRequestValue('square_min');
		$params['square_max'] = (int)$this->getRequestValue('square_max');
	
		$params['is_phone'] = (int)$this->getRequestValue('is_phone');
		$params['is_furniture'] = (int)$this->getRequestValue('is_furniture');
		$params['has_photo'] = (int)$this->getRequestValue('has_photo');
		$params['is_internet'] = (int)$this->getRequestValue('is_internet');
	
		$params['room_count'] = $this->getRequestValue('room_count');
		$params['optype'] = $this->getRequestValue('optype');
		$params['extended_search'] = $this->getRequestValue('extended_search');
		$params['search'] = $this->getRequestValue('search');
	
		//print_r($params);
	
		$grid_constructor_local->main($params);
	
	
		return $rs;
	}

}

?>